# eric4.Preferences.ConfigurationPages.HelpAppearancePage

Module implementing the Help Viewers configuration page.

### Classes

HelpAppearancePage | Class implementing the Help Viewer Appearance page.

### Functions

create | Module function to create the configuration page.

## HelpAppearancePage

Class implementing the Help Viewer Appearance page.

### Derived from

ConfigurationPageBase, Ui_HelpAppearancePage

### Methods

HelpAppearancePage | Constructor
on_fixedFontButton_clicked | Private method used to select the fixed-width font.
on_standardFontButton_clicked | Private method used to select the standard font.
save | Public slot to save the Help Viewers configuration.

#### HelpAppearancePage (Constructor)

HelpAppearancePage()

Constructor

#### HelpAppearancePage.on_fixedFontButton_clicked

on_fixedFontButton_clicked()

Private method used to select the fixed-width font.

#### HelpAppearancePage.on_standardFontButton_clicked

on_standardFontButton_clicked()

Private method used to select the standard font.

#### HelpAppearancePage.save

save()

Public slot to save the Help Viewers configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up